'use strict';
define(function() {
  var SearchResultDirective = function($compile, $scope) {
    return {
      //template:'<div id="SearchResultdiv_{{$id}}"></div>',
      templateUrl:
        'js/XG/biz/yamoussoukro/widgets/searchresult/view/Searchresult.html',
      scope: false,
      restrict: 'A',
      controller: 'SearchResultCtrl',

      link: function($scope, elm, attrs) {
        $scope.myConfig = attrs['myConfig'];
      },
    };
  };

  SearchResultDirective.$inject = ['$compile'];
  return SearchResultDirective;
});
